latex=xelatex
pdflatex=xelatex
bibtex=bibtex 

graph_pngs= graphs/valid_graph.png \
			graphs/clear_vop_01.png \
			graphs/clear_vop_02.png \
			graphs/clear_vop_03.png \
			graphs/clear_vop_04.png \
			graphs/clear_vop_05.png \
			graphs/clear_vop_06.png



all: main.pdf

main.pdf: main.tex $(graph_pngs)
	$(latex) main
	#$(bibtex) main
	$(latex) main
	$(pdflatex) main


graphs/%.png: graphs/%.dot
	dot $< -Tpng -o $@
	
clean:
	-rm main.aux
	-rm main.blg
	-rm main.dvi
	-rm main.log
	-rm main.out
	-rm main.pdf
	-rm main.toc
	-rm main.bbl
	-rm $(graph_pngs)
